Skip to main content
GET
List Loyalty Tier Rewards

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

campaignId
string
required

Unique campaign ID or name.

Example:

"camp_rRsfatlwN7unSeUIJDCYedal"

loyaltyTierId
string
required

Unique loyalty tier ID.

Example:

"promo_2EnAik6Jt7dKTOMkRTIgEjZH"

Response

200 - application/json

Returns a dictionary of loyalty tier reward objects.

Response body schema for GET v1/loyalties/{campaignId}/tiers/{loyaltyTierId}/rewards.

object
string
default:list
required

The type of the object represented by JSON. This object stores information about loyalty tier rewards in a dictionary.

data_ref
string
default:data
required

Identifies the name of the attribute that contains the array of loyalty tier reward objects.

data
Loyalty Tier Reward Object · object[]
required

Contains array of loyalty tier reward objects.

total
integer
required

Total number of loyalty tier reward objects.

Last modified on June 15, 2026